**`JITENDRA JALADI`[NAME]** -NL- **`(404) 988-7014`[PHONES_PHONE]** | **`Jitendra.jaldi@gmail.com`[EMAILS_EMAIL]** -NL- https://www.linkedin.com/in/jitendra-jaladi-37082319 -NL- **`SUMMARY`[SUMMARY_HEADING]** -NL-  9 + years of experience in end to end implementations: -NL-  Java,Python,Google Cloud,Tableau, Ab Initio, Restful services,Dataflow, bigquery Teradata, Hadoop, -NL- SQL Server, Talend, and Informatica applications participating in all stages of SLDC. -NL-  Big Data Expertise: -NL-  Experience Migrating ETL logics to Hadoop. -NL-  Proficient with major components in Hadoop Ecosystem including: Mapper/Reduce and HDFS Frame -NL- work, Hive, Sqoop ,Hbase,PostGreSQL ,Impala and Spark. -NL-  Controlled/sequenced Hive jobs through Java Batch servlets with checkpoint restart ability -NL-  ETL: -NL-  Developed Teradata BTEQs and ETL logics in Spark, SparkSQL, Ab Initio, Talend, Hive, Pig -NL-  Ability to write queries in Teradata and Hive for Tableau dashboards. -NL-  Cloud Technologies: -NL-  Develop and support streaming processing with Cloud dataflow and Cloud Pub/Sub. -NL-  Experience with Cloud data Flow, Cloud DataProc , Cloud Bigquery and Cloud Big Table. -NL-  Strong Leadership and Agile Champion: -NL-  Experience and ability as a Scrum Master. -NL-  Provided Architectural guidance and RDBMS data models for various BigData projects. -NL-  Support data analysts while running Pig and Hive queries. -NL-  Created and support continuous integration platforms for enterprise use. -NL-  Proficient with scrum and XP based Agile Software Development methodologies. -NL-  Working knowledge of UNIX and experience in shell scripting for job automation. -NL- **`SKILLS`[SKILLS_HEADING]** -NL- Big Data -NL- Hadoop, Map reduce, Hive, Sqoop, Hbase,PostgreSQL -NL- **`Languages`[OTHERS_HEADING]** -NL- JAVA, SQL, Hive-HQL, Bigquery-bql -NL- ETL Technologies -NL- Ab Initio, Talend, Hive, Teradata, Informatica -NL- Cloud -NL- Google cloud -NL- Frameworks -NL- Hadoop -NL- Database -NL- Oracle 9i/10g/11i, DB2, Hive, Teradata -NL- Tools -NL- Talend, Ab Initio, SQL Assistant, Tableau, SQL Server -NL- IDE -NL- Eclipse -NL- Operating Systems -NL- Windows, UNIX and Linux -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- April ’19 - Present -NL- **`EPAM Bigdata practice`[EMPLOYER_COMPANY_NAME]**, Atlanta GA -NL- **`Lead Cloud/BigData Engineer/Data Architect`[EMPLOYER_ROLE]** -NL- As part of Data fabrics team in EQUIFAX, we have created a re-usable platform for various business units to -NL- migrate there legacy applications and data into Google cloud. -NL- • Created Complex Dataflow jobs to read data from GCS in avro format,transform -NL- and load the data into Bigquery -NL- • Created dataflow jobs to read data from PUB/SUB and stream the data into -NL- Bigtable. -NL- • Migrated On perm RDMS data ware house tables to Google Bigquery. -NL- • Created efficient Bigquery tables that are optimal for the reporting purpose. -NL- • Created efficient Bigtable structures for low latency reads. -NL- • Created Dataflow jobs that read data from GCS ,transform and load the data -NL- into Google Bigtable. -NL- • Migrated 100’s for dimension tables from On perm Datawarehouse to Google -NL- Bigquery -NL- • Recreated many on-perm fact tables in Bigquery for reporting purpose. -NL- **`JITENDRA JALADI`[NAME]** -NL- **`(404) 988-7014`[PHONES_PHONE]** | **`Jitendra.jaldi@gmail.com`[EMAILS_EMAIL]** -NL- https://www.linkedin.com/in/jitendra-jaladi-37082319 -NL- • Experience in Test driven development. -NL- • Experience in mentoring junior developers or legacy developers . -NL- • Created Rest API’s to let end users to access data from Bigtable. -NL- • Created custom logic to make Bigtable transactional safe -NL- • Created Dataflow jobs to process billions of rows. -NL- • Designed and developed Highly scalable bigdata apps -NL- • Developed BTEQ scripts to enhance on perm Teradata applications. -NL- • Experience in creating Bigdata applications with 80% code coverage. -NL- • experience with Github and Bitbucket. -NL- March ’18 - March’19 -NL- **`EPAM Bigdata practice`[EMPLOYER_COMPANY_NAME]**, -NL- Lead Cloud/BigData Engineer/Architect -NL- Rockville MD -NL- As part of Patient BI project we have created an 6 fully flexible Dashboards in Spotfire that interacts with Impala on -NL- the fly based on the user selection of slicing and dicing the data. -NL- • Create software programs and customize existing programs utilizing -NL- specific programming languages, frameworks and development environments. -NL- • Lead the process of requirements gathering, analysis, design, -NL- implementation, testing, and maintenance of enterprise level application software -NL- products. -NL- • Develop general system design including internal and external information -NL- flows, current and future system requirements and integration points. -NL- • Utilize standard software development methodologies, processes, -NL- techniques and quality planning methods in all phases of work; -NL- • Facilitate effective communication between customers, offshore and -NL- onshore technical team. -NL-  Design and develop complex software components to migrate various -NL- applications that are running on servers that are present in on-premise to Cloud -NL- using Google Cloud, Amazon Web Services or Mircosoft Azure. -NL-  Created Dataflow application in google to laod Avro data into Bigtable/Hbase -NL- using HBASE API. -NL-  Create various Bigdata software solutions to process petabytes of data with -NL- less latency. -NL-  Create Scalable software solutions on Cloud ,that can adjust its processing -NL- capacity based on the incoming traffic using various programing languages. -NL-  Create various software enhancers and extensions that can be used to speed -NL- up the existing slow running applications. -NL-  Create software applications that can process the data in real time and be -NL- able to take decisions in real time . -NL- **`JITENDRA JALADI`[NAME]** -NL- **`(404) 988-7014`[PHONES_PHONE]** | **`Jitendra.jaldi@gmail.com`[EMAILS_EMAIL]** -NL- https://www.linkedin.com/in/jitendra-jaladi-37082319 -NL-  Develop code for Google cloud serverless to interact between different -NL- Google Cloud components e.g. Pub/sub to Bigtable, Pub/sub to Bigquery. -NL-  ●Build Docker script to deploy Kafka pub/sub connector, CVS Connector and -NL- other applications. -NL-  Using scala and spark to build different type of jobs to move the data from -NL- client hadoop data lake Google big query database. -NL-  Implementing Encryption solution at different layer of the data movement so -NL- that it can be access in a secured way like kerberos at kafka level and google -NL- cloud level. Created Complex Impala queries for the Spotfire team tofire up -NL- based on the user selections -NL-  Created most efficient queries that would hit a table with 10billion rows and -NL- completes in less than 10secs -NL-  Created scripts to automate the Query generation based on the user -NL- selection offilters and dimensions. -NL-  Created a query engine that allows users to drill through the data sets in -NL- Impala. -NL-  Designed and Created Pre aggregated data tables for the Spotfire team to -NL- handle complex calculations with less run times. -NL-  Created Spark jobs that reads data from foundation tables and create -NL- intelligent BI schemas that let BI users to run reports against Billion rows tables -NL- in less than 10secs.. -NL-  Assist management with planning, estimation, risk management, and status -NL- meetings including story creation, story grooming, and sprint planning. -NL-  Created bigquery tables and queries to support analytics team on cloud. -NL-  Created dataPipelines to migrate the onperm data into Google cloud. -NL- Oct ’16 – March ’18 -NL- **`The Home Depot`[EMPLOYER_COMPANY_NAME]**, Atlanta, GA -NL- **`Lead BigData Engineer/Architect`[EMPLOYER_ROLE]** -NL- Store Receipts to Cloud -NL- **`The Home Depot`[EMPLOYER_COMPANY_NAME]**’s current Store application sends store receipt files into the on-premises Hadoop data lake, we -NL- have created a google data pip line to load them into Google Cloud. -NL- . -NL-  Assist management with planning, estimation, risk management, and status meetings including story -NL- creation, story grooming, and sprint planning. -NL-  Created Cloud Data flow jobs to process the Store receipt files and load them into BigQuery tables. -NL-  Create Analytical tables in BigQuery -NL-  Created Pipelines to Migrated 2TB worth of On perm data to Google cloud -NL-  Created Nested structures in Bigquery -NL-  Deployed Data Flow applications on Google cloud App engine. -NL-  Created many Data pipelines to load migrate on perm data to Google Cloud -NL-  Created Google BigTable with daily Store receipt information for fast acess. -NL-  Mentored and enabled learning and development opportunities for the team -NL-  Develop architectural designs and requirements analysis documentation -NL-  Design and develop code utilizing tools such as Java, Hadoop, Ab Initio, Google Cloud, Windows XP, -NL- UNIX, Big Query, Big Table,Jenkins Pipe Line, Spark and others. -NL-  Built new data Extraction, Transformation and Loading processes in production (Teradata, Hadoop, Google -NL- Cloud) -NL- **`JITENDRA JALADI`[NAME]** -NL- **`(404) 988-7014`[PHONES_PHONE]** | **`Jitendra.jaldi@gmail.com`[EMAILS_EMAIL]** -NL- https://www.linkedin.com/in/jitendra-jaladi-37082319 -NL- Sept ’13 - Oct ’16 -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]**, Atlanta, GA -NL- **`Data Integration Lead/Hadoop Designer/Developer`[EMPLOYER_ROLE]** -NL- Consolidated Customer Order -NL- To get one view of customers and their orders, the Home Depot’s current application processes online customer -NL- order information from various fulfillment channels, processes in Hadoop, and sends to the cloud. -NL-  Utilized Hadoop, Oozie, Google Cloud, IBM Compatible, Abintio, Python, Windows XP, UNIX, HEATS -NL- (code migration), HDDTM and Maestro (job automation), Talend, Teradata BTEQ, Tableau, and -NL- MicroStrategy to fully design, develop, and deploy consolidated customer order. -NL-  Assisted with requirement analysis, design, construction, unit testing, QA support, production deployment, -NL- and support. -NL-  Created Cassandra tables with entire customer order details for easy access of Orders data. -NL-  Created high level, low level specification documents, unit test plans and unit test results -NL-  Effectively used Agile and Scrum tools like JIRA and Version One for tracking user stories and defect -NL- tracking -NL-  Learned new programming languages like Python and PySpark for effectively using Big Data -NL- environments. -NL-  Automated and scheduled scripts to highlight dependencies between jobs. -NL-  Built data Lake applications to read data from different heterogeneous systems and store in the data lake for -NL- future analytics. -NL- Apr ’13 - Sep ’13 -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]**, Atlanta, GA -NL- **`Sr. Ab Initio and Teradata Developer`[EMPLOYER_ROLE]** -NL- Enhancing Customer Data Processing -NL- **`The Home Depot`[EMPLOYER_COMPANY_NAME]** is the world's largest home improvement retailer, operating more than 2000 stores. In this -NL- application, we enhanced/tuned customer data processing applications and reduced run time from ten hours to two -NL- hours. -NL-  Assisted with requirement analysis, design, construction, unit testing, QA support, production deployment, -NL- and support. -NL-  Created high level, low level specification documents, unit test plans and unit test results. -NL-  Created Teradata BTEQ scripts to transform the data and created Purpose Build Extensions (PBE) which -NL- were used in reporting. -NL-  Successfully coordinated and managed the offshore and onshore team members to provide deliverables on -NL- time and within budget. -NL- Nov ’10 - Apr ’13 -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]** , Chennai, India -NL- **`Ab Initio and Teradata Developer`[EMPLOYER_ROLE]**, -NL- Customer Application -NL- Customer Application comprised of extracting customer information from various sources, transforming them into -NL- actionable data, and loading the data into our Enterprise data warehouse (Teradata) for the marketing team. -NL-  Using IBM Compatible, WINDOWS XP, UNIX, HEATS (code migration), HDDTM and Maestro (job -NL- automation), Talend, Teradata BTEQ, and Ab Initio, fully designed, developed, and deployed code for the -NL- customer application. -NL-  Performed requirements analysis with onsite team members and created high/low level designs. -NL-  Monitored and analyzed performance and provided production support for failures and issues. -NL-  Created Maestro schedules for the jobs using IBM Maestro Console -NL-  Conducted code review sessions with the onsite and offshore team members and made necessary code -NL- changes as needed. -NL-  Prepared the implementations and back out plans. -NL-  Created the production support documentation. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL-  **`Bachelor of Technological Engineering`[EDUCATION_DEGREE]** in **`Information Science and Technology`[EDUCATION_COURSE]**, -NL- **`Acharya Nagarjuna University, Gunture, India`[EDUCATION_INSTITUTE]** -NL- **`JITENDRA JALADI`[NAME]** -NL- **`(404) 988-7014`[PHONES_PHONE]** | **`Jitendra.jaldi@gmail.com`[EMAILS_EMAIL]** -NL- https://www.linkedin.com/in/jitendra-jaladi-37082319 -NL- **`CERTIFICATIONS`[OTHERS_HEADING]** -NL- Talend Data Integration Certified Developer -NL- 